<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [entities](./iceshrimp-js.entities.md) &gt; [Blocking](./iceshrimp-js.entities.blocking.md)

## entities.Blocking type

**Signature:**

```typescript
export declare type Blocking = {
	id: ID;
	createdAt: DateString;
	blockeeId: User["id"];
	blockee: UserDetailed;
};
```
**References:** [ID](./iceshrimp-js.entities.id.md)<!-- -->, [DateString](./iceshrimp-js.entities.datestring.md)<!-- -->, [User](./iceshrimp-js.entities.user.md)<!-- -->, [UserDetailed](./iceshrimp-js.entities.userdetailed.md)

